org.jboss.netty.handler.codec.http.multipart

## Class DiskFileUpload

- java.lang.Object
- - org.jboss.netty.handler.codec.http.multipart.AbstractHttpData
  - - org.jboss.netty.handler.codec.http.multipart.AbstractDiskHttpData
    - - org.jboss.netty.handler.codec.http.multipart.DiskFileUpload

All Implemented Interfaces:
  Comparable<InterfaceHttpData>, FileUpload, HttpData, InterfaceHttpData

    public class DiskFileUpload
    extends AbstractDiskHttpData
    implements FileUpload

Disk FileUpload implementation that stores file into real files

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData

`InterfaceHttpData.HttpDataType`

### Field Summary

Fields
`static String` `baseDirectory`
`static boolean` `deleteOnExitTemporaryFile`
`static String` `postfix`
`static String` `prefix`

### Fields inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractDiskHttpData

`file`

### Fields inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractHttpData

`charset, completed, definedSize, name, size`

### Constructor Summary

Constructors
Constructor and Description
`DiskFileUpload(String name, String filename, String contentType, String contentTransferEncoding, Charset charset, long size)`

### Method Summary

Methods
`int` `compareTo(FileUpload o)`
`int` `compareTo(InterfaceHttpData arg0)`
`protected boolean` `deleteOnExit()`
`boolean` `equals(Object o)`
`protected String` `getBaseDirectory()`
`String` `getContentTransferEncoding()` Returns the Content-Transfer-Encoding
`String` `getContentType()` Returns the content type passed by the browser or null if not defined.
`protected String` `getDiskFilename()`
`String` `getFilename()` Returns the original filename in the client's filesystem, as provided by the browser (or other client software).
`InterfaceHttpData.HttpDataType` `getHttpDataType()`
`protected String` `getPostfix()`
`protected String` `getPrefix()`
`int` `hashCode()`
`void` `setContentTransferEncoding(String contentTransferEncoding)` Set the Content-Transfer-Encoding type from String as 7bit, 8bit or binary
`void` `setContentType(String contentType)` Set the Content Type passed by the browser if defined
`void` `setFilename(String filename)` Set the original filename
`String` `toString()`

### Methods inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractDiskHttpData

`addContent, delete, get, getChannelBuffer, getChunk, getFile, getString, getString, isInMemory, renameTo, setContent, setContent, setContent`

### Methods inherited from class org.jboss.netty.handler.codec.http.multipart.AbstractHttpData

`getCharset, getName, isCompleted, length, setCharset`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.jboss.netty.handler.codec.http.multipart.HttpData

`addContent, delete, get, getChannelBuffer, getCharset, getChunk, getFile, getString, getString, isCompleted, isInMemory, length, renameTo, setCharset, setContent, setContent, setContent`

### Methods inherited from interface org.jboss.netty.handler.codec.http.multipart.InterfaceHttpData

`getName`

### Field Detail

#### baseDirectory

    public static String baseDirectory

#### deleteOnExitTemporaryFile

    public static boolean deleteOnExitTemporaryFile

#### prefix

    public static String prefix

#### postfix

    public static String postfix

### Constructor Detail

#### DiskFileUpload

    public DiskFileUpload(String name,
                  String filename,
                  String contentType,
                  String contentTransferEncoding,
                  Charset charset,
                  long size)

### Method Detail

#### getHttpDataType

    public InterfaceHttpData.HttpDataType getHttpDataType()

Specified by:
  `getHttpDataType` in interface `InterfaceHttpData`
Returns:
  The HttpDataType

#### getFilename

    public String getFilename()

Description copied from interface: `FileUpload`
Returns the original filename in the client's filesystem, as provided by the browser (or other client software).

Specified by:
  `getFilename` in interface `FileUpload`
Returns:
  the original filename

#### setFilename

    public void setFilename(String filename)

Description copied from interface: `FileUpload`
Set the original filename

Specified by:
  `setFilename` in interface `FileUpload`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### compareTo

    public int compareTo(InterfaceHttpData arg0)

Specified by:
  `compareTo` in interface `Comparable<InterfaceHttpData>`

#### compareTo

    public int compareTo(FileUpload o)

#### setContentType

    public void setContentType(String contentType)

Description copied from interface: `FileUpload`
Set the Content Type passed by the browser if defined

Specified by:
  `setContentType` in interface `FileUpload`
Parameters:
  `contentType` - Content Type to set - must be not null

#### getContentType

    public String getContentType()

Description copied from interface: `FileUpload`
Returns the content type passed by the browser or null if not defined.

Specified by:
  `getContentType` in interface `FileUpload`
Returns:
  the content type passed by the browser or null if not defined.

#### getContentTransferEncoding

    public String getContentTransferEncoding()

Description copied from interface: `FileUpload`
Returns the Content-Transfer-Encoding

Specified by:
  `getContentTransferEncoding` in interface `FileUpload`
Returns:
  the Content-Transfer-Encoding

#### setContentTransferEncoding

    public void setContentTransferEncoding(String contentTransferEncoding)

Description copied from interface: `FileUpload`
Set the Content-Transfer-Encoding type from String as 7bit, 8bit or binary

Specified by:
  `setContentTransferEncoding` in interface `FileUpload`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### deleteOnExit

    protected boolean deleteOnExit()

Specified by:
  `deleteOnExit` in class `AbstractDiskHttpData`
Returns:
  True if the file should be deleted on Exit by default

#### getBaseDirectory

    protected String getBaseDirectory()

Specified by:
  `getBaseDirectory` in class `AbstractDiskHttpData`
Returns:
  the default base Directory

#### getDiskFilename

    protected String getDiskFilename()

Specified by:
  `getDiskFilename` in class `AbstractDiskHttpData`
Returns:
  the real DiskFilename (basename)

#### getPostfix

    protected String getPostfix()

Specified by:
  `getPostfix` in class `AbstractDiskHttpData`
Returns:
  the default postfix

#### getPrefix

    protected String getPrefix()

Specified by:
  `getPrefix` in class `AbstractDiskHttpData`
Returns:
  the default prefix